import request from '@/utils/request'

// 查询生产计划列表
export function listPlanInfo(query) {
  return request({
    url: '/production/planInfo/list',
    method: 'get',
    params: query
  })
}

// 查询生产计划详细
export function getPlanInfo(objId) {
  return request({
    url: '/production/planInfo/' + objId,
    method: 'get'
  })
}

// 新增生产计划
export function addPlanInfo(data) {
  return request({
    url: '/production/planInfo',
    method: 'post',
    data: data
  })
}

// 修改生产计划
export function updatePlanInfo(data) {
  return request({
    url: '/production/planInfo',
    method: 'put',
    data: data
  })
}

// 删除生产计划
export function delPlanInfo(objId) {
  return request({
    url: '/production/planInfo/' + objId,
    method: 'delete'
  })
}
